import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const preferences = await conductor.qbd.preferences.retrieve({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(preferences.accounting);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
preferences = conductor.qbd.preferences.retrieve(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(preferences.accounting)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"accounting": {
"isUsingAccountNumbers": true,
"isRequiringAccounts": true,
"isUsingClassTracking": true,
"defaultTransactionClass": "accounts",
"isUsingAuditTrail": true,
"isAssigningJournalEntryNumbers": true,
"closingDate": "2024-12-31T00:00:00.000Z"
},
"financeCharges": {
"annualInterestRate": 0.05,
"minimumFinanceCharge": 100,
"gracePeriod": 30,
"financeChargeAccount": {
"id": "80000001-1234567890",
"fullName": "Interest Income"
},
"isAssessingForOverdueCharges": false,
"calculateChargesFrom": "due_date",
"isMarkedToBePrinted": false
},
"jobsAndEstimates": {
"isUsingEstimates": true,
"isUsingProgressInvoicing": true,
"isPrintingItemsWithZeroAmounts": true
},
"multiCurrency": {
"isMultiCurrencyEnabled": true,
"homeCurrency": {
"id": "80000001-1234567890",
"fullName": "USD"
}
},
"multiLocationInventory": {
"isMultiLocationInventoryAvailable": true,
"isMultiLocationInventoryEnabled": true
},
"purchasesAndVendors": {
"isUsingInventory": true,
"daysBillsAreDue": 30,
"isAutomaticallyUsingDiscounts": true,
"defaultDiscountAccount": {
"id": "80000001-1234567890",
"fullName": "Discount Account"
}
},
"reports": {
"agingReportBasis": "age_from_due_date",
"summaryReportBasis": "accrual"
},
"salesAndCustomers": {
"defaultShippingMethod": {
"id": "80000001-1234567890",
"fullName": "FedEx Ground"
},
"defaultShipmentOrigin": "San Francisco, CA",
"defaultMarkupPercentage": "25",
"isTrackingReimbursedExpensesAsIncome": true,
"isAutoApplyingPayments": true,
"priceLevels": {
"isUsingPriceLevels": true,
"isRoundingSalesPriceUp": false
}
},
"salesTax": {
"defaultItemSalesTax": {
"id": "80000001-1234567890",
"fullName": "State Sales Tax"
},
"salesTaxReportingFrequency": "quarterly",
"defaultTaxableSalesTaxCode": {
"id": "80000001-1234567890",
"fullName": "Tax"
},
"defaultNonTaxableSalesTaxCode": {
"id": "80000001-1234567890",
"fullName": "Non"
},
"isUsingVendorTaxCode": true,
"isUsingCustomerTaxCode": true,
"isUsingTaxInclusivePrices": false
},
"timeTracking": {
"firstDayOfWeek": "monday"
},
"appAccessRights": {
"isAutomaticLoginAllowed": true,
"automaticLoginUserName": "admin",
"isPersonalDataAccessAllowed": true
},
"itemsAndInventory": {
"isEnhancedInventoryReceivingEnabled": true,
"inventoryTrackingMethod": "serial_number",
"isInventoryExpirationDateEnabled": true,
"isTrackingOnSalesTransactionsEnabled": true,
"isTrackingOnPurchaseTransactionsEnabled": true,
"isTrackingOnInventoryAdjustmentEnabled": true,
"isTrackingOnBuildAssemblyEnabled": true,
"isFifoEnabled": true,
"fifoEffectiveDate": "2023-01-01T00:00:00.000Z",
"isBinTrackingEnabled": true,
"isBarcodeEnabled": true
}
}Retrieve company file preferences
Returns the preferences that the QuickBooks administrator has set for all users of the connected company file. Note that preferences cannot be modified through the API, only through the QuickBooks Desktop user interface.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const preferences = await conductor.qbd.preferences.retrieve({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(preferences.accounting);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
preferences = conductor.qbd.preferences.retrieve(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(preferences.accounting)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Response
Returns an object with the company file's preferences.
The accounting preferences for this company file.
Show child attributes
Show child attributes
The finance charge preferences for this company file. These settings determine how late payment charges are calculated and applied to customer accounts.
Show child attributes
Show child attributes
The jobs and estimates preferences for this company file.
Show child attributes
Show child attributes
The multi-currency preferences for this company file.
Show child attributes
Show child attributes
The multi-location inventory preferences for this company file.
Show child attributes
Show child attributes
The purchases and vendors preferences for this company file.
Show child attributes
Show child attributes
The reporting preferences for this company file.
Show child attributes
Show child attributes
The sales and customers preferences for this company file.
Show child attributes
Show child attributes
The sales-tax preferences for this company file. If sales tax is turned off in the user interface (that is, if "No" is selected for "Do You Charge Sales Tax?" in the sales tax preferences), then this field will be null.
Show child attributes
Show child attributes
The time-tracking preferences for this company file. If time tracking is turned off in the user interface (that is, if "No" is selected for "Do You Track Time?" in the time tracking preferences), then this field will be null.
Show child attributes
Show child attributes
The current application access rights for this company file.
Show child attributes
Show child attributes
The item inventory preferences for this company file.
Show child attributes
Show child attributes

